Bug 1716482 - python-adal fails to build on Fedora 31/rawhide [NEEDINFO]
Summary: python-adal fails to build on Fedora 31/rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-adal
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://copr.fedorainfracloud.org/cop...
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS SPHINX2 1732841
TreeView+ depends on / blocked
 
Reported: 2019-06-03 14:37 UTC by Miro Hrončok
Modified: 2019-08-19 02:29 UTC (History)
3 users (show)

Fixed In Version: python-adal-1.2.2-1.fc30 python-adal-1.2.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 01:01:48 UTC
mhroncok: needinfo? (pikachu.2014)


Attachments (Terms of Use)

Description Miro Hrončok 2019-06-03 14:37:00 UTC
See https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-adal/ for actual logs. This report is automated and not very verbose, but feel free to ping me for help.

Comment 1 Miro Hrončok 2019-07-10 12:44:27 UTC
The error is:

Theme error:
sphinx_rtd_theme is no longer a hard dependency since version 1.4.0. Please install it manually.(pip install sphinx_rtd_theme)

This means you need to BR python3-sphinx_rtd_theme.

Comment 2 Charalampos Stratakis 2019-07-24 13:01:42 UTC
PR: https://src.fedoraproject.org/rpms/python-adal/pull-request/2

Comment 3 Fedora Update System 2019-08-09 14:51:21 UTC
FEDORA-2019-33878f2e1b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-33878f2e1b

Comment 4 Fedora Update System 2019-08-09 14:51:22 UTC
FEDORA-2019-eadae2b061 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eadae2b061

Comment 5 Fedora Update System 2019-08-11 01:22:55 UTC
python-adal-1.2.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-eadae2b061

Comment 6 Fedora Update System 2019-08-11 02:20:13 UTC
python-adal-1.2.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-33878f2e1b

Comment 7 Ben Cotton 2019-08-13 16:51:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 8 Ben Cotton 2019-08-13 17:10:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 9 Miro Hrončok 2019-08-14 22:24:52 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 10 Fedora Update System 2019-08-19 01:01:48 UTC
python-adal-1.2.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-08-19 02:29:12 UTC
python-adal-1.2.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.